List racks metrics

GET/v1/metrics/racks

A GET request to the /v1/metrics/racks endpoint will send racks metrics in the OpenMetrics format. The metrics show:

  • the count of racks per location;

  • the count of hosts per rack;

  • instantaneous power draw and electrical current from rack PDUs in watts and amperes;

  • instantaneous power draw and electrical current from rack ATSs in watts and amperes;

  • sent and received traffic per rack in bytes.

An example of data is presented in the response sample.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

text/plain

application/json

curl -X GET "https://example.com/v1/metrics/racks"
"# HELP: serverscom_racks_count Count of the racks\n# TYPE: serverscom_racks_count gauge\nserverscom_racks_count{location_id=\"670\",location_code=\"location1384\"} 2\n\n# HELP: serverscom_rack_hosts_count Count of the hosts in the rack\n# TYPE: serverscom_rack_hosts_count gauge\nserverscom_rack_hosts_count{location_id=\"670\",location_code=\"location1384\",rack_id=\"pnel87eK\",rack_title=\"s447\"} 0\nserverscom_rack_hosts_count{location_id=\"670\",location_code=\"location1384\",rack_id=\"Mvbm7EeY\",rack_title=\"s448\"} 0\n\n# HELP: serverscom_rack_pdu_power_watts Instantaneous power draw from the rack PDU, measured in watts (W).\n# TYPE: serverscom_rack_pdu_power_watts gauge\nserverscom_rack_pdu_power_watts{location_id=\"670\",location_code=\"location1384\",rack_id=\"pnel87eK\",rack_title=\"s447\",pdu_name=\"p1c11.sandbox.servers.com\"} 5173710.49\n\n# HELP: serverscom_rack_pdu_current_amperes Instantaneous electrical current draw from the rack PDU, measured in amperes (A).\n# TYPE: serverscom_rack_pdu_current_amperes gauge\nserverscom_rack_pdu_current_amperes{location_id=\"670\",location_code=\"location1384\",rack_id=\"pnel87eK\",rack_title=\"s447\",pdu_name=\"p1c11.sandbox.servers.com\"} 9165018.85\n\n# HELP: serverscom_rack_ats_power_watts Instantaneous power draw from the rack ATS, measured in watts (W).\n# TYPE: serverscom_rack_ats_power_watts gauge\nserverscom_rack_ats_power_watts{location_id=\"670\",location_code=\"location1384\",rack_id=\"pnel87eK\",rack_title=\"s447\",ats_name=\"a1c11.sandbox.servers.com\"} 6654112.75\n\n# HELP: serverscom_rack_ats_current_amperes Instantaneous electrical current draw from the rack ATS, measured in amperes (A).\n# TYPE: serverscom_rack_ats_current_amperes gauge\nserverscom_rack_ats_current_amperes{location_id=\"670\",location_code=\"location1384\",rack_id=\"pnel87eK\",rack_title=\"s447\",ats_name=\"a1c11.sandbox.servers.com\"} 1902325.69\n\n# HELP: serverscom_rack_monthly_sent_bytes_total Rack monthly sent bytes total\n# TYPE: serverscom_rack_monthly_sent_bytes_total counter\nserverscom_rack_monthly_sent_bytes_total{location_id=\"670\",location_code=\"location1384\",rack_id=\"pnel87eK\",rack_title=\"s447\",traffic_type=\"public\"} 440421136294\nserverscom_rack_monthly_sent_bytes_total{location_id=\"670\",location_code=\"location1384\",rack_id=\"pnel87eK\",rack_title=\"s447\",traffic_type=\"private\"} 914851396614\nserverscom_rack_monthly_sent_bytes_total{location_id=\"670\",location_code=\"location1384\",rack_id=\"Mvbm7EeY\",rack_title=\"s448\",traffic_type=\"public\"} 93518530287\nserverscom_rack_monthly_sent_bytes_total{location_id=\"670\",location_code=\"location1384\",rack_id=\"Mvbm7EeY\",rack_title=\"s448\",traffic_type=\"private\"} 125039611439\n\n# HELP: serverscom_rack_monthly_received_bytes_total Rack monthly received bytes total\n# TYPE: serverscom_rack_monthly_received_bytes_total counter\nserverscom_rack_monthly_received_bytes_total{location_id=\"670\",location_code=\"location1384\",rack_id=\"pnel87eK\",rack_title=\"s447\",traffic_type=\"public\"} 162908333921\nserverscom_rack_monthly_received_bytes_total{location_id=\"670\",location_code=\"location1384\",rack_id=\"pnel87eK\",rack_title=\"s447\",traffic_type=\"private\"} 355186885777\nserverscom_rack_monthly_received_bytes_total{location_id=\"670\",location_code=\"location1384\",rack_id=\"Mvbm7EeY\",rack_title=\"s448\",traffic_type=\"public\"} 489991793399\nserverscom_rack_monthly_received_bytes_total{location_id=\"670\",location_code=\"location1384\",rack_id=\"Mvbm7EeY\",rack_title=\"s448\",traffic_type=\"private\"} 321585922239\n"
{  "message": "Unauthorized",  "code": "UNAUTHORIZED"}